function [AB]=dgapp(A,B)
%
%	[AB] = dgapp(A,B)
%
%  This function expands matrix A and appends matrix B to its diagonal.
%  Function inputs:
%
%  A     = matrix (ra x ca)
%  B     = matrix (rb x cb)
%
%  Function outputs:
%
%  AB	= matrix ((ra + rb) x (ca + cb)) 
%
%--------------------------------------------------------------------------- 

%
%	Get matrix sizes
%
   [ra,ca] = size(A);
   [rb,cb] = size(B);
%
%  	 Expand A into AB, then append B
%
      erows = zeros(rb,ca);
      AB    = [A;erows];
      ecols = zeros(ra+rb,cb);
      AB    = [AB ecols];   
      AB(ra+1:ra+rb,ca+1:ca+cb) = B;
%
%	Exit
%